# Smart Liquidation API
The {% $env.PUBLIC_VAR_SL %} service splits large XRP liquidations into smaller liquidations over a specified time period. For more information, see [Smart Liquidation](../../ripplenet/system-components/liquidation/smart-liquidation/).
Check out the [best practices](../../ripplenet/best-practices/) and [tutorials](../../ripplenet/tutorials/).
### Authentication
All API operations require a bearer access token for your target environment.
Learn how to [request the access token](../../ripplenet/best-practices/authentication/).
### API environments
The {% $env.PUBLIC_VAR_SLAPI %} assigns a `[domainPrefix]` based on the environment. Your tenant information is automatically derived from your API credentials.
| Environment | Domain Prefix | Domain | Base URL|
| --- | --- | --- | --- |
| Test | `liquidation-test.pub.prod` | `ripplenet.com` |
`liquidation-test.pub.prod.ripplenet.com`
|
| Production | `liquidation.pub.prod` | `ripplenet.com` | `liquidation.pub.prod.ripplenet.com` |
For more information about base URLs, see [API base URLs](/products/payments-odl/api-docs/ripplenet/best-practices/baseurls/).
Version: 1.0.0
## Servers
Test environment
Learn about API environments
```
https://liquidation-test.pub.prod.ripplenet.com
```
Production environment
```
https://liquidation.pub.prod.ripplenet.com
```
## Security
### Bearer
Type: apiKey
In: header
Name: Authorization
## Download OpenAPI description
[Smart Liquidation API](https://docs.ripple.com/_bundle/products/payments-odl/api-docs/smart_liquidation/reference/openapi.yaml)
## Liquidations
Use these operations to retrieve liquidations from the Smart Liquidation service.
| Operation | Method | Description |
| -- | -- | -- |
| [Get liquidations](#operation/getLiquidations) | GET | List all liquidations by date range. |
| [Get liquidation by Liquidation Id](#operation/getLiquidationById) | GET | Gets a liquidation by `Id`. |
| [Get liquidation by RippleNet Payment Id](#operation/getLiquidationsByRipplenetPaymentId) | GET | Gets a liquidation by `ripplenet_payment_id`. |
**Note:** To configure liquidation, contact your RippleNet liaison.
### Authentication with Smart Liquidation Service
All API operations require a bearer access token for your target environment.
Learn how to [request the access token](/products/payments-odl/api-docs/ripplenet/best-practices/authentication/#request-the-access-token).
### Domain prefixes with Smart Liquidation Service
| **Environment** | **Domain Prefix** | **Request URL** |
| --- | --- | --- |
| **Test** | `liquidation-test.pub.prod` | `https://liquidation-test.pub.prod.ripplenet.com` |
| **Production** | `liquidation.pub.prod` | `https://liquidation.pub.prod.ripplenet.com` |
### Get liquidations
- [GET /liquidations](https://docs.ripple.com/products/payments-odl/api-docs/smart_liquidation/reference/openapi/liquidations/getliquidations.md): List all liquidations by date range
### Get liquidation by Id
- [GET /liquidations/{id}](https://docs.ripple.com/products/payments-odl/api-docs/smart_liquidation/reference/openapi/liquidations/getliquidationbyid.md): Get a specific liquidation by its unique Id value
### Get liquidations by payment Id
- [GET /liquidations/ripplenet-payment-id/{ripplenet_payment_id}](https://docs.ripple.com/products/payments-odl/api-docs/smart_liquidation/reference/openapi/liquidations/getliquidationsbyripplenetpaymentid.md): Get a list of liquidations associated with a ripplenet_payment_id